@echo off

set BACKUP_DIR=%1
set ASTAH_SHARE=C:\astah-share-2_6
set DATA_DIR=%ASTAH_SHARE%\data

set H2_PATH=%ASTAH_SHARE%\server\webapps\astahshare\WEB-INF\lib\h2.jar
set DB_USER=sa

rmdir /s /q %DATA_DIR%\db
rmdir /s /q %DATA_DIR%\projects

rem 画像、位置、構造ツリーのデータをリストアする
xcopy /E /I /Y %BACKUP_DIR%\projects %DATA_DIR%\projects

set DB_URL=jdbc:h2:file:/%DATA_DIR%/db/jude-share_h2
set ZIP_FILE=%BACKUP_DIR%\backup.zip

rem データベースのデータをリストアする
java -cp %H2_PATH% org.h2.tools.RunScript -url %DB_URL% -user %DB_USER% -script %ZIP_FILE% -options compression zip
